FROM nginx:alpine

ENV API_URL "$API_URL"

COPY ../mainservice/src/main/js/application/dist/angular-frontend/ /usr/share/nginx/html
COPY ../mainservice/src/main/js/application/nginx.conf /etc/nginx/nginx.conf
CMD ["/bin/sh", "-c", \
        "echo API_URL=[$API_URL], && \
        sed -i s#API_URL#$API_URL#g /usr/share/nginx/html/main-*.js && \
        nginx -g 'daemon off;'"]